#pragma once

#include "CoreMinimal.h"
#include "SurvivorCosmeticHelperActor.h"
#include "K41SurvivorCosmeticHelperActor.generated.h"

UCLASS(Blueprintable)
class AK41SurvivorCosmeticHelperActor : public ASurvivorCosmeticHelperActor
{
	GENERATED_BODY()

protected:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnGutsAttackHitSurvivor(bool injureSurvivor);

public:
	AK41SurvivorCosmeticHelperActor();
};

FORCEINLINE uint32 GetTypeHash(const AK41SurvivorCosmeticHelperActor) { return 0; }
